import { ChangeDetectorRef, ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { ScrollingTabDirective } from './scrolling-tab.directive';
export declare class ScrollingTabsComponent implements AfterViewInit {
    private changeDetector;
    private route;
    private router;
    navWrapper: ElementRef;
    tabList: ElementRef;
    firstTabActive: boolean;
    scrollToActive: boolean;
    trackOpenTab: boolean;
    scrollBarWidths: number;
    selectedTabChanged: EventEmitter<ScrollingTabDirective>;
    tabs: ScrollingTabDirective[];
    leftOffset: number;
    firstVisibleTabIndex: number;
    showLeftArrow: boolean;
    showRightArrow: boolean;
    constructor(changeDetector: ChangeDetectorRef, route: ActivatedRoute, router: Router);
    ngAfterViewInit(): void;
    addTab(tab: ScrollingTabDirective): void;
    removeTab(tab: ScrollingTabDirective): void;
    clickInsideComponent(): void;
    redrawTabs(): void;
    widthOfList(): number;
    onScrollerLeftClick(): void;
    onScrollerRightClick(): void;
    onSelectedTabChanged(tab: ScrollingTabDirective): void;
    markFirstTabActive(): void;
    scrollToActiveTab(): void;
    markTabAsActive(tabId: any): void;
    pushCurrentTabToParam(tab: ScrollingTabDirective): void;
}
